Bug 1412714 - system-switch-mail does not work in text console like previously.
Summary: system-switch-mail does not work in text console like previously.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-switch-mail
Version: 25
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-12 15:34 UTC by Artur
Modified: 2017-04-28 09:30 UTC (History)
1 user (show)

Fixed In Version: system-switch-mail-1.0.1-11.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1499556 (view as bug list)
Environment:
Last Closed: 2017-02-09 04:22:07 UTC
Type: Bug


Attachments (Terms of Use)

Description Artur 2017-01-12 15:34:54 UTC
Description of problem:

system-switch-mail does not work in text console like it was in previous Fedora releases.

Version-Release number of selected component (if applicable):

system-switch-mail-1.0.1-10.fc25.noarch

How reproducible:

Steps to Reproduce:
1. dnf install system-switch-mail (note: don't install system-switch-mail-gnome)
2. run "system-switch-mail"

Actual results:

Error accessing /usr/share/system-switch-mail/switchmail_gui.py: No such file or directory

Expected results:

Console version of system-switch-mail should be displayed. I don't see any information in changelog, that tui is no longer supported.

Additional info:

Comment 1 Than Ngo 2017-01-31 10:11:52 UTC
it's fixed in system-switch-mail-1.0.1-11.fc25 which will be pushed to update-testing today.

thanks

Comment 2 Fedora Update System 2017-01-31 10:13:36 UTC
system-switch-mail-1.0.1-11.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-0fe1c41a96

Comment 3 Fedora Update System 2017-01-31 23:49:47 UTC
system-switch-mail-1.0.1-11.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-0fe1c41a96

Comment 4 Artur 2017-02-01 09:26:34 UTC
Unfortunatelly I get different error now:

[root@hostname ~]# system-switch-mail
Authentication is needed to run system-switch-mail as super user
/usr/share/system-switch-mail/switchmail_tui.py: line 19: import: command not found
/usr/share/system-switch-mail/switchmail_tui.py: line 21: SWITCHMAILDIR: command not found
/usr/share/system-switch-mail/switchmail_tui.py: line 24: syntax error near unexpected token `"/usr/lib/rhs/python"'
/usr/share/system-switch-mail/switchmail_tui.py: line 24: `    sys.path.append("/usr/lib/rhs/python")'

There is missig "#!/bin/python" in the first line of switchmail_tui.py or it should be started as
"/bin/python /usr/share/system-switch-mail/switchmail_tui.py"

Also (not so impotant) - the warning about authentication should be suppressed if the command is run by a super user.

Comment 5 Fedora Update System 2017-02-09 04:22:07 UTC
system-switch-mail-1.0.1-11.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Artur 2017-02-13 08:20:13 UTC
As I wrote in comment #4 - it is still imperfect.

Comment 7 Than Ngo 2017-04-28 09:30:11 UTC
i fixed this issue again, and will push new version into f25 update today.
Thanks for your report.

https://koji.fedoraproject.org/koji/taskinfo?taskID=19267311


Note You need to log in before you can comment on or make changes to this bug.